Dashboards
PUT /v1/dashboards/{dashboard_id}/layout
Arrange the widgets on a dashboard.
PUT /v1/dashboards/{dashboard_id}/layout
curl --request PUT \
--url https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layoutimport requests
url = "https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_bodySets the position and size of widgets on a dashboard. Items for widgets that are not on the dashboard are ignored.
Path parameters
Headers
Request body
Response
A200 response has no body.
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request PUT \
--url https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"layouts": [
{
"widget_id": "<string>",
"layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
}
}
]
}'
Last modified on October 21, 2026
⌘I
PUT /v1/dashboards/{dashboard_id}/layout
curl --request PUT \
--url https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layoutimport requests
url = "https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/dashboards/{dashboard_id}/layout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_body